schema_version: mapper-os/executable-blueprint
execution_start: BUILDPRINT.md
machine_contract: blueprint.yaml
source:
  input: buildprints/perfect-rag-retrieval existing Buildprint packet
  checkout_path: buildprints/perfect-rag-retrieval
  commit: unavailable-in-packet
  source_independent: true
generated_at: 2026-05-26T00:00:00Z
claim_status: PROOF_REQUIRED
blueprint_mode:
  primary: product
  phase_style: outcome_flow
  rationale: source evidence maps to a user/API-facing RAG retrieval product with stateful ingestion, permission-safe query outcomes, grounded answer workflows, and operational eval surfaces.
setup_gate:
  questions: 01-questions.md
  project_setup: 02-project-setup.md
  required_before_phases: true
implementation_loop:
  required: true
  steps:
    - observe
    - plan
    - execute
    - verify
    - reflect
    - record
  completion_requires:
    - proof_gate_passed
    - evidence_recorded
repair_loop:
  on_failure:
    test_failed: current_phase
    build_failed: current_phase
    runtime_error: current_phase
    ui_quality_failed: current_phase
    proof_gate_failed: current_phase
    architecture_contradiction: 02-project-setup.md
    missing_human_preference: 01-questions.md
    missing_dependency_phase: required_prior_phase
    external_blocker: .buildprint/evidence/evidence-ledger.jsonl
phases:
  - phase_id: 01-corpus-contracts
    title: 01-corpus-contracts
    file: 03-phases/01-corpus-contracts.md
    status: INCLUDED_NEEDS_PROOF
    proof_gate: proof-01-corpus-contracts
  - phase_id: 02-ingestion-indexing
    title: 02-ingestion-indexing
    file: 03-phases/02-ingestion-indexing.md
    status: INCLUDED_NEEDS_PROOF
    proof_gate: proof-02-ingestion-indexing
    depends_on:
      - 01-corpus-contracts
  - phase_id: 03-retrieval-answering
    title: 03-retrieval-answering
    file: 03-phases/03-retrieval-answering.md
    status: INCLUDED_NEEDS_PROOF
    proof_gate: proof-03-retrieval-answering
    depends_on:
      - 02-ingestion-indexing
  - phase_id: 04-evaluation-operations
    title: 04-evaluation-operations
    file: 03-phases/04-evaluation-operations.md
    status: INCLUDED_NEEDS_PROOF
    proof_gate: proof-04-evaluation-operations
    depends_on:
      - 03-retrieval-answering
context:
  phase_index: 03-phases/phase-index.yaml
  phase_flow: 03-phases/phase-flow.md
  active_phase: 03-phases/01-corpus-contracts.md
  evaluation: 04-evaluation.md
  evidence_schema: 05-evidence/evidence-ledger.schema.json
generated_artifacts:
  agent_prompt: generated/agent-prompt.md
